Subject: Re: [PATCH v2] powerpc: Track backing pages allocated by vmemmap_populate()

From: Michael Ellerman <[email-masked]>
Date: Tue, 13 Apr 2010 15:24:17 +1000

On Tue, 2010-04-13 at 14:16 +1000, Mark Nelson wrote:
> We need to keep track of the backing pages that get allocated by
> vmemmap_populate() so that when we use kdump, the dump-capture kernel knows
> where these pages are.
> 
> We use a linked list of structures that contain the physical address of the
> backing page and corresponding virtual address to track the backing pages.
> We can use an hlist to save space, because we never remove nodes.

What if we remove_memory() ? Or does that not do what I think it does?

cheers